> ## Documentation Index
> Fetch the complete documentation index at: https://gcore.com/docs/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Domains

> Retrieve a list of domains associated with the client, including traffic statistics



## OpenAPI

````yaml /api-reference/services_documented/waap_api.yaml get /waap/v2/domains
openapi: 3.1.0
info:
  title: Gcore OpenAPI – WAAP API
  description: >-
    This OpenAPI is an aggregated OpenAPI specification that unifies all Gcore
    products into a single file. It covers Cloud, CDN, DNS, WAAP, DDoS
    Protection, Object Storage, Streaming, and FastEdge services.
  version: '2026-05-14T07:00:22.640261+00:00'
servers:
  - url: https://api.gcore.com
security:
  - APIKey: []
tags:
  - name: WAAP Service
    x-displayName: WAAP Service
  - name: Domains
    x-displayName: Domains
  - name: Policies
    x-displayName: Policies
  - name: Analytics
    x-displayName: Analytics
  - name: Custom Page Sets
    x-displayName: Custom Page Sets
  - name: Custom Rules
    x-displayName: Custom Rules
  - name: Filter Templates
    x-displayName: Filter Templates
  - name: Firewall Rules
    x-displayName: Firewall Rules
  - name: Advanced Rules
    x-displayName: Advanced Rules
  - name: Tags
    x-displayName: Tags
  - name: Network Organizations
    x-displayName: Network Organizations
  - name: API Discovery
    x-displayName: API Discovery
  - name: IP Spotlight
    x-displayName: IP Spotlight
  - name: Security Insights
    x-displayName: Security Insights
  - name: IP Reputation
    x-displayName: IP Reputation
paths:
  /waap/v2/domains:
    get:
      tags:
        - Domains
      summary: Get Domains
      description: >-
        Retrieve a list of domains associated with the client, including traffic
        statistics
      operationId: get_domains_v2_domains_get
      parameters:
        - name: ordering
          in: query
          required: false
          schema:
            enum:
              - id
              - name
              - status
              - created_at
              - '-id'
              - '-name'
              - '-status'
              - '-created_at'
              - total_requests
              - '-total_requests'
              - attacks_detected
              - '-attacks_detected'
            type: string
            description: Sort the response by given field.
            title: Ordering
          description: Sort the response by given field.
        - name: limit
          in: query
          required: false
          schema:
            type: integer
            maximum: 100
            minimum: 0
            description: Number of items to return
            default: 100
            title: Limit
          description: Number of items to return
        - name: offset
          in: query
          required: false
          schema:
            type: integer
            maximum: 100000
            minimum: 0
            description: Number of items to skip
            default: 0
            title: Offset
          description: Number of items to skip
        - name: status
          in: query
          required: false
          schema:
            $ref: '#/components/schemas/DomainStatus'
            description: Filter domains based on the domain status
            examples:
              - active
          description: Filter domains based on the domain status
        - name: name
          in: query
          required: false
          schema:
            type: string
            description: >-
              Filter domains based on the domain name. Supports '*' as a
              wildcard character
            example: '*example.com'
            examples:
              - '*example.com'
            title: Name
          description: >-
            Filter domains based on the domain name. Supports '*' as a wildcard
            character
        - name: ids
          in: query
          required: false
          schema:
            type: array
            items:
              type: integer
              exclusiveMinimum: 0
              description: The domain ID
            description: Filter domains based on their IDs
            example: 1
            examples:
              - 1
              - 2
              - 3
            title: Ids
          description: Filter domains based on their IDs
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                $ref: >-
                  #/components/schemas/PaginatedResponse_SummaryDomainWithStatsResponse_
        '400':
          content:
            application/problem+json:
              schema:
                $ref: '#/components/schemas/APIError'
              example:
                type: http-bad-request
                title: Bad Request
                status: 400
                detail: 'Invalid domain name: '''''''''
          description: Bad Request
        '401':
          description: Unauthorized
          content:
            application/problem+json:
              example:
                detail: Auth token is missing or invalid
        '403':
          description: Unauthenticated
          content:
            application/problem+json:
              example:
                detail: Permission denied
        '404':
          content:
            application/problem+json:
              schema:
                $ref: '#/components/schemas/APIError'
              example:
                type: http-not-found
                title: Not Found
                status: 404
                detail: The resource is not found
          description: Not Found
        '422':
          content:
            application/problem+json:
              schema:
                $ref: '#/components/schemas/APICompositeError'
              example:
                type: request-validation-failed
                title: Request validation error.
                status: 422
                detail: One or more fields have validation errors.
                errors:
                  - loc:
                      - body
                      - name
                    detail: Input should be a valid string
                  - loc:
                      - body
                      - date
                    detail: Field required
                  - loc:
                      - query
                      - limit
                    detail: Field required
          description: Unprocessable Entity
        '500':
          content:
            application/problem+json:
              schema:
                $ref: '#/components/schemas/APIError'
              example:
                type: internal-server-error
                title: Internal server error.
                status: 500
                detail: >-
                  An unexpected condition was encountered which prevented the
                  server from fulfilling the request.
          description: Internal Server Error
components:
  schemas:
    DomainStatus:
      type: string
      enum:
        - active
        - bypass
        - monitor
        - locked
      title: DomainStatus
      description: The different statuses a domain can have
    PaginatedResponse_SummaryDomainWithStatsResponse_:
      properties:
        limit:
          type: integer
          title: Limit
          description: Number of items requested in the response
        offset:
          type: integer
          title: Offset
          description: Items response offset used
        count:
          type: integer
          title: Count
          description: Number of items contain in the response
        results:
          items:
            $ref: '#/components/schemas/SummaryDomainWithStatsResponse'
          type: array
          title: Results
          description: List of items returned in the response following given criteria
      type: object
      required:
        - limit
        - offset
        - count
        - results
      title: PaginatedResponse[SummaryDomainWithStatsResponse]
    APIError:
      properties:
        type:
          type: string
          title: Type
          description: A URI identifier that categorizes the type of error.
        title:
          type: string
          title: Title
          description: A brief, human-readable title for the error.
        status:
          type: integer
          title: Status
          description: The HTTP status code applicable to this error.
        detail:
          anyOf:
            - type: string
            - type: 'null'
          title: Detail
          description: A detailed human-readable explanation of the error.
      type: object
      required:
        - type
        - title
        - status
        - detail
      title: APIError
    APICompositeError:
      properties:
        type:
          type: string
          title: Type
          description: A URI identifier that categorizes the type of error.
        title:
          type: string
          title: Title
          description: A brief, human-readable title for the error.
        status:
          type: integer
          title: Status
          description: The HTTP status code applicable to this error.
        detail:
          anyOf:
            - type: string
            - type: 'null'
          title: Detail
          description: A detailed human-readable explanation of the error.
        errors:
          items:
            $ref: '#/components/schemas/APIFieldError'
          type: array
          title: Errors
          description: A list of detailed errors for individual fields.
      type: object
      required:
        - type
        - title
        - status
        - detail
        - errors
      title: APICompositeError
    SummaryDomainWithStatsResponse:
      properties:
        id:
          type: integer
          exclusiveMinimum: 0
          title: Id
          description: The domain ID
        name:
          type: string
          maxLength: 255
          title: Name
          description: The domain name
        status:
          $ref: '#/components/schemas/DomainStatus'
        custom_page_set:
          anyOf:
            - type: integer
              description: The ID of the custom page set
            - type: 'null'
          title: Custom Page Set
        created_at:
          type: string
          format: date-time
          title: Created At
          description: The date and time the domain was created in ISO 8601 format
        aliases:
          items:
            type: string
          type: array
          title: Aliases
          description: CNAME aliases pointing at this domain's CDN resource
        stats:
          $ref: '#/components/schemas/DomainStats'
      type: object
      required:
        - id
        - name
        - status
        - custom_page_set
        - created_at
      title: SummaryDomainWithStatsResponse
      description: Represents a WAAP domain with traffic statistics for v2 endpoint.
    APIFieldError:
      properties:
        loc:
          anyOf:
            - items:
                anyOf:
                  - type: integer
                  - type: string
              type: array
            - {}
          title: Loc
          description: The location of the field or a character number causing the error.
        detail:
          type: string
          title: Detail
          description: A human-readable message describing the error.
      type: object
      required:
        - loc
        - detail
      title: APIFieldError
    DomainStats:
      properties:
        total_requests:
          type: integer
          title: Total Requests
          description: Total number of requests for the last 30 days
          default: 0
        attacks_detected:
          type: integer
          title: Attacks Detected
          description: Total number of detected attacks for the last 30 days
          default: 0
        attacks_blocked:
          type: integer
          title: Attacks Blocked
          description: Total number of blocked attacks for the last 30 days
          default: 0
      type: object
      title: DomainStats
      description: Traffic statistics for a domain.
  securitySchemes:
    APIKey:
      description: >-
        API key for authentication. Make sure to include the word `apikey`,
        followed by a single space and then your token.

        Example: `apikey 1234$abcdef`
      type: apiKey
      in: header
      name: Authorization

````